echo off
cls

if not /%1==/ goto compile

:use
rem 
rem Show this help message, if no filename is given to the batch file.
rem 
echo.
echo"     ͻ
echo"      ************  COMPILE THE FILE AND START THE PROGRAM  ************ 
echo"     Ķ
echo"      This batch file compiles a C program and links it with the VESA    
echo"      library "86--dsv.lib". Any errors will be put in a file "err.txt". 
echo"                                                                         
echo"      If successfull, you can directly start the program from this batch.
echo"                                                                         
echo"      If there are errors while compiling, your source file and err.txt  
echo"      will be loaded into your editor (I use Q.EXE) for debugging.       
echo"      Perhaps you have to change the line to use your editor.            
echo"     ͼ
echo.
goto exit

:compile
rem 
rem Compile the source file, link it with the library and run the program.
rem 
pacc -q -2 -o -Al16,4,4 -7 -lv -lf -eerr.txt %1.c
if errorlevel==1 goto error
if not /%2==/ goto quit
cls
if exist %1.exe %1.exe
goto quit

:error
rem 
rem An error occured, so we have to look at the error file and the source.
rem 
q err.txt %1.c

:quit
rem 
rem At the end we clean up everthing.
rem 
if exist  *.obj del  *.obj > nul
if not /%2==/ goto exit
if exist  *.exe del  *.exe > nul

:exit
rem 
rem Do nothing but delete the error text file.
rem 
if exist err.txt del err.txt > nul
pal
